/// <reference types="react-native" />
export declare type UploadItem = {
    name: string;
    type: string;
    uri: string;
};
export declare type OnProgressData = {
    item: UploadItem;
    event: ProgressEvent<EventTarget>;
};
export declare type OnDoneData = {
    item: UploadItem;
    responseBody: string;
    responseHeaders: string;
};
export declare type OnErrorData = {
    item: UploadItem;
    error: string;
    timeout?: boolean;
};
export declare type FileUploadOptions = {
    url: string;
    field: string;
    method?: string;
    headers?: Headers;
    timeout?: number;
    onProgress?: (data: OnProgressData) => void;
    onDone?: (data: OnDoneData) => void;
    onError?: (data: OnErrorData) => void;
    onTimeout?: (data: OnErrorData) => void;
};
//# sourceMappingURL=types.d.ts.map